Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.atlassian.bamboo.resultsummary
Interface BuildResultsSummaryDao

All Superinterfaces:
  BambooObjectDao

All Known Implementing Classes:
  BuildResultsSummaryHibernateDao

    public interface BuildResultsSummaryDao

extends BambooObjectDao

Method Summary
`List` | `getAllBuildResultsSummaries(Build build)`
`BuildResultsSummary` | `getBreakingBuild(BuildResultsSummary summary)`
`ExtendedBuildResultsSummary` | `getBuildResultsSummaryByBuildKeyAndBuildNumber(String buildKey, int buildNumber)`
`List` | `getBuildResultSummaries(Build build, int numberOfResults)` Retrieves specific number of Build Result Summaries for a particular plan.
`BuildResultsSummary` | `getFirstBuildSummary(Build build)`
`BuildResultsSummary` | `getLastBuildSummary(Build build)`
`List` | `getLatestbuildResultSummaries(int numberOfResults)`
`List` | `getNeighbouringSummaries(Build build, int currentBuildNumber)`
`long` | `getNumberOfResults(Build build)`
`List` | `getSuccessfulBuildResultSummaries(Build build, int numberOfResults)` Retrieves specific number of successful Build Result Summaries for a particular plan.

Methods inherited from interface com.atlassian.bamboo.persistence.BambooObjectDao
`findById`

Method Detail

### getBuildResultsSummaryByBuildKeyAndBuildNumber

    ExtendedBuildResultsSummary getBuildResultsSummaryByBuildKeyAndBuildNumber(String buildKey,
                                                                               int buildNumber)

### getAllBuildResultsSummaries

    List getAllBuildResultsSummaries(Build build)

### getFirstBuildSummary

    BuildResultsSummary getFirstBuildSummary(Build build)

### getLastBuildSummary

    BuildResultsSummary getLastBuildSummary(Build build)

### getNumberOfResults

    long getNumberOfResults(Build build)

### getNeighbouringSummaries

    List getNeighbouringSummaries(Build build,
                                  int currentBuildNumber)

### getBreakingBuild

    BuildResultsSummary getBreakingBuild(BuildResultsSummary summary)

### getLatestbuildResultSummaries

    List getLatestbuildResultSummaries(int numberOfResults)

### getSuccessfulBuildResultSummaries

    List getSuccessfulBuildResultSummaries(Build build,
                                           int numberOfResults)

  Retrieves specific number of successful Build Result Summaries for a particular plan.

  Parameters:
    `build` - - can not be null
    `numberOfResults` - - must be greater 0
  Returns:
    List of `BuildResultsSummary` of specified length, all with status Successsful

### getBuildResultSummaries

    List getBuildResultSummaries(Build build,
                                 int numberOfResults)

  Retrieves specific number of Build Result Summaries for a particular plan.

  Parameters:
    `build` - - can not be null
    `numberOfResults` - - must be greater 0
  Returns:
    List of `BuildResultsSummary` of specified length

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006 Atlassian Software Systems. All Rights Reserved.